Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# HTML::TABLE Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TABLE:
[legend]
Collaboration diagram for HTML::TABLE:
[legend]

List of all members.

## Public Member Functions

| TABLE (std::ostream &stream)
TABLE & | border (int value)
TABLE & | cellspacing (int value)
TABLE & | width (int value)

## Detailed Description

Definition at line 147 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

HTML::TABLE::TABLE | ( | std::ostream & | stream | ) | `[inline]`

Definition at line 150 of file HtmlBuilder.h.

    00151   : TAG( "TABLE", stream ) {}

## Member Function Documentation

TABLE& HTML::TABLE::border | ( | int | value | ) | `[inline]`

Definition at line 153 of file HtmlBuilder.h.

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

    00154   { m_stream << " border='" << value << "'"; return *this; }

TABLE& HTML::TABLE::cellspacing | ( | int | value | ) | `[inline]`

Definition at line 155 of file HtmlBuilder.h.

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

    00156   { m_stream << " cellspacing='" << value << "'"; return *this; }

TABLE& HTML::TABLE::width | ( | int | value | ) | `[inline]`

Definition at line 157 of file HtmlBuilder.h.

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

    00158   { m_stream << " width='" << value << "%'"; return *this; }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/HtmlBuilder.h